#39 Session resumption error in Lion

closed
Fritz Elfert
None
5
2012-10-25
2012-01-13
Danny Jacobs
No

The problem:
I know that there are five sessions suspended on the server but only the first option in the session list is visible. The other four are selectable, but no text is evident (see screenshot). They are listed correctly in the sshlog (below).

Attempting to resume the first and completely visible session results works as it should.

However, attempting to connect to an "invisible" session hangs at "Resuming Session" but does not error if left to run for many minutes.
The sshlog shows some errors about missing files. Specifically

17:05:09: cat: /var/lib/nxserver/db/running/sessionId{}: No such file or directory

The rest of the sshlog is below.
Here are my system details:
NX server: 3.2.0-74SVN
OpenNX: 0.16.0.670
OS Lion 10.7

sshlog:
17:04:11: NX> 203 NXSSH running with pid: 55613
17:04:11: NX> 285 Enabling check on switch command
17:04:11: NX> 285 Enabling skip of SSH config files
17:04:11: NX> 285 Setting the preferred NX options
17:04:11: NX> 200 Connected to address: X.X.X.X on port: 22
17:04:12: NX> 202 Authenticating user: nx
17:04:12: NX> 208 Using auth method: publickey
17:04:13: HELLO NXSERVER - Version 3.2.0-74-SVN OS (GPL, using backend: not detected)
17:04:13: NX> 105
17:04:13: hello NXCLIENT - Version 3.2.0
17:04:13: NX> 134 Accepted protocol: 3.2.0
17:04:13: NX> 105
17:04:13: SET SHELL_MODE SHELL
17:04:13: NX> 105
17:04:13: SET AUTH_MODE PASSWORD
17:04:13: NX> 105
17:04:13: login
17:04:14: NX> 101 User:
17:04:14: jacobsda
17:04:14: NX> 102 Password:
17:04:14:
17:04:15: NX> 103 Welcome to: folio user: jacobsda
17:04:15: NX> 105
17:04:15: listsession --user="jacobsda" --status="suspended,running" --type="unix-gnome" --geometry="1440x900x32+render"
17:04:15: NX> 127 Sessions list of user 'jacobsda' for reconnect:
17:04:15:
17:04:15: Display Type Session ID Options Depth Screen Status Session Name
17:04:15: ------- ---------------- -------------------------------- -------- ----- -------------- ----------- ------------------------------
17:04:15: 1000 unix-gnome 3525EEC7631E620AE4C966C08AFF5228 -RD--PSA 24 1280x1024 Running shredder-dcj
17:04:15: 1004 unix-gnome 358BA25162986FDB46C20ED525015D57 -RD--PSA 24 1440x900 Suspended folio
17:04:15: 1003 unix-gnome 3D02E644CF77976EC6E1AC7FF2D3EF89 -RD--PSA 24 1920x1280 Suspended shredder-dcj-huge
17:04:15: 1011 unix-gnome A226AAA1200E71AEFCFBDBAACAFAB68F -RD--PSA 24 1118x699 Suspended shredder2
17:04:15: 1010 unix-gnome D540D58A356D0FFC335A7080FD81ED9B -RD--PSA 24 1118x699 Suspended shredder2
17:04:15:
17:04:15:
17:04:15: NX> 148 Server capacity: not reached for user: jacobsda
17:04:16: NX> 105
17:05:09: restoresession --session="folio" --type="unix-gnome" --cache="8M" --images="32M" --link="adsl" --geometry="1440x852" --screeninfo="1440x900x32+render" --keyboard="empty/empty" --backingstore="1" --encryption="1" --composite="1" --shmem="1" --shpix="1" --streaming="1" --samba="0" --cups="0" --nodelay="1" --defer="0" --client="macosx" --media="0" --strict="0" --aux="1" --session="" --type="" --id=""
17:05:09:
17:05:09: NX> 1000 NXNODE - Version 3.2.0-74-SVN OS (GPL, using backend: not detected)
17:05:09: cat: /var/lib/nxserver/db/running/sessionId{}: No such file or directory
17:05:09: cat: /var/lib/nxserver/db/running/sessionId{}: No such file or directory
17:05:09: /usr/bin/nxserver: line 1531: 4811 Terminated sleep $AGENT_STARTUP_TIMEOUT
17:05:09: NX> 105 NX> 596 Session startup failed.
17:05:09: Can't open /var/lib/nxserver/db/running/sessionId{}: No such file or directory.
17:05:09: mv: cannot stat `/var/lib/nxserver/db/running/sessionId{}': No such file or directory
17:05:11: /usr/bin/nxserver: line 564: kill: (4093) - No such process

Discussion

  • Danny Jacobs
    Danny Jacobs
    2012-01-13

    session list. Four sessions are retrieved, four lines are selectable, only one is visible.

     
  • Fritz Elfert
    Fritz Elfert
    2012-02-04

    This appears to be caused by the dynamic modification of columns in the resume dialog. Somehow wxWidgets on OSX can't cope with that. The dialog returns an empty session ID which then leads to those errors. The whole dynamic thing was necessary, because NoMachine chose a really stupid format for the session listing: They optionally put the user-name after the session name and the session name can have spaces. Luckily, I found out, that this only happens when requesting a shadow session. So I'm going to change the whole listing parser as well as the dialog. Migth take a bit of time though...
    -Fritz

     
  • Fritz Elfert
    Fritz Elfert
    2012-02-17

    Fixed in SVN rev 685